org.h2.util

## Class ByteStack

- java.lang.Object
- - org.h2.util.ByteStack

    public final class ByteStack
    extends java.lang.Object

The stack of byte values. This class is not synchronized and should not be used by multiple threads concurrently.

### Constructor Summary

Constructors
Constructor and Description
`ByteStack()` Creates a new empty instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()` Returns `true` if this stack is empty.
`int` `peek(int defaultValue)` Looks at the item at the top of this stack without removing it.
`int` `poll(int defaultValue)` Removes the item at the top of this stack and returns that item.
`byte` `pop()` Removes the item at the top of this stack and returns that item.
`void` `push(byte item)` Pushes an item onto the top of this stack.
`int` `size()` Returns the number of items in this stack.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteStack

    public ByteStack()

Creates a new empty instance.

### Method Detail

#### push

    public void push(byte item)

Pushes an item onto the top of this stack.

Parameters:
  `item` - the item to push

#### pop

    public byte pop()

Removes the item at the top of this stack and returns that item.

Returns:
  the item at the top of this stack
Throws:
  `java.util.NoSuchElementException` - if stack is empty

#### poll

    public int poll(int defaultValue)

Removes the item at the top of this stack and returns that item.

Parameters:
  `defaultValue` - value to return if stack is empty
Returns:
  the item at the top of this stack, or default value

#### peek

    public int peek(int defaultValue)

Looks at the item at the top of this stack without removing it.

Parameters:
  `defaultValue` - value to return if stack is empty
Returns:
  the item at the top of this stack, or default value

#### isEmpty

    public boolean isEmpty()

Returns `true` if this stack is empty.

Returns:
  `true` if this stack is empty

#### size

    public int size()

Returns the number of items in this stack.

Returns:
  the number of items in this stack